/* wmattall.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <sys/winmgr.h>
#include "winmgr2.h"

void wm_attrib_all (wm_handle wh, int a)
{
  int i, x, y, height, width, bwidth;
  char *mem;

  y = wh->ay;
  x = wh->ax;
  height = wh->height;
  width = wh->width;
  bwidth = 2 * wh->bwidth;
  mem = &DATA (wh, x, y);
  for (i = 0; i < height; ++i)
    {
      _wm_puta2 (mem, a, width);
      mem += bwidth;
      ++y;
    }
  if (wh->display)
    _wm_put1 (wh);
  else
    wh->update_req = TRUE;
  _wm_cursor1 ();
}
